# Yahoo! UI Library

### shim-plugin 3.3.0

Yahoo! UI Library > shim-plugin > Plugin.Shim
Search:
Filters Show Private Show Protected Show Deprecated

## Class Plugin.Shim

Node plugin which can be used to add shim support.

### Properties

#### Shim.CLASS_NAME - `static String`

Default class used to mark the shim element
Default Value: "yui-node-shim"

#### Shim.TEMPLATE - `static String`

Default markup template used to generate the shim element.

### Methods

#### destroy

`void destroy ( )`
Removes the shim and destroys the plugin

#### sync

`void sync ( )`
Updates the size of the shim to fill its container

Copyright © 2011 Yahoo! Inc. All rights reserved.